## org.apache.solr.client.solrj.response
Class RangeFacet.Date

    java.lang.Object
      org.apache.solr.client.solrj.response.RangeFacet<Date,String>
          org.apache.solr.client.solrj.response.RangeFacet.Date

Enclosing class:
  RangeFacet<B,G>

    public static class RangeFacet.Date

extends RangeFacet<Date,String>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.response.RangeFacet
`RangeFacet.Count, RangeFacet.Date, RangeFacet.Numeric`

Constructor Summary
`RangeFacet.Date(String name, Date start, Date end, String gap, Number before, Number after)` Deprecated.
`RangeFacet.Date(String name, Date start, Date end, String gap, Number before, Number after, Number between)`

Method Summary

Methods inherited from class org.apache.solr.client.solrj.response.RangeFacet
`addCount, getAfter, getBefore, getBetween, getCounts, getEnd, getGap, getName, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeFacet.Date

    @Deprecated
    public RangeFacet.Date(String name,
                                      Date start,
                                      Date end,
                                      String gap,
                                      Number before,
                                      Number after)

  Deprecated.

### RangeFacet.Date

    public RangeFacet.Date(String name,
                           Date start,
                           Date end,
                           String gap,
                           Number before,
                           Number after,
                           Number between)

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.